# Share all module
root.dir=${basedir}

javadoc.jse.version=1.5.0

# Share module
shareModule=Share

share.src.dir=${root.dir}/${shareModule}/src
share.classes.dir=../build/production/${shareModule}
share.javadoc.dir=../javadoc/${shareModule}
share.dist.dir=../dist/${shareModule}

share.javadoc.windowtitle=Welcome to RFDevice's ${shareModule} library
share.javadoc.title=${shareModule} application

share.appName=share
share.appName.jar=${appName}.jar
share.appName.zip=${appName}.zip
share.docName.zip=${appName}-doc.zip

# Client module
clientModule=Client

client.src.dir=${root.dir}/${clientModule}/src
client.classes.dir=../build/production/${clientModule}
client.javadoc.dir=../javadoc/${clientModule}
client.dist.dir=../dist/${clientModule}

client.javadoc.windowtitle=Welcome to RFDevice's ${clientModule} library
client.javadoc.title=${clientModule} application

client.appName=client
client.appName.jar=${appName}.jar
client.appName.zip=${appName}.zip
client.docName.zip=${appName}-doc.zip

# ICMS module
icmsModule=ICMS

icms.src.dir=${root.dir}/${icmsModule}/src
icms.classes.dir=../build/production/${icmsModule}
icms.javadoc.dir=../javadoc/${icmsModule}
icms.dist.dir=../dist/${icmsModule}

icms.javadoc.windowtitle=Welcome to RFDevice's ${icmsModule} library
icms.javadoc.title=${icmsModule} application

icms.appName=icms
icms.appName.jar=${appName}.jar
icms.appName.zip=${appName}.zip
icms.docName.zip=${appName}-doc.zip

# WhosWhere module
whoswhereModule=WhosWhere

whoswhere.src.dir=${root.dir}/${whoswhereModule}/src
whoswhere.classes.dir=../build/production/${whoswhereModule}
whoswhere.javadoc.dir=../javadoc/${whoswhereModule}
whoswhere.dist.dir=../dist/${whoswhereModule}

whoswhere.javadoc.windowtitle=Welcome to RFDevice's ${whoswhereModule} library
whoswhere.javadoc.title=${whoswhereModule} application

whoswhere.appName=whoswhere
whoswhere.appName.jar=${appName}.jar
whoswhere.appName.zip=${appName}.zip
whoswhere.docName.zip=${appName}-doc.zip